#include <SFML/Graphics.hpp>
#include <Squared.hpp>

int main()
{
    sf::RenderWindow window(sf::VideoMode(400, 300), "squared example");
    window.setFramerateLimit(60);
    
    squ::Frame image;
    image.loadFromFile("squared.squ");

    while (window.isOpen())
    {
        sf::Event event;
        while (window.pollEvent(event))
        {
            if (event.type == sf::Event::Closed)
                window.close();
        }

        window.clear();
        window.draw(image);
        window.display();
    }

    return 0;
}